Auto-meeting the requirements to enable tracer
Status: New   

Priority: Low   

Assignee:    

Category: Content Views   

Target version:    

Difficulty: medium Fixed in Releases:  

Triaged: Yes Found in Releases: Katello 4.9.3

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

I am referencing first image "the foreman client repository is available in the host's content view environment(s)"

https://github.com/Katello/katello/pull/10709#issue-1867502404

Suppose we saw the first point and we add the manually the repo in a environment. We publish a version but the host still use the old

version of he content view.

From here we can force our host to use new version and reput it back after the installation.

Another viable solution is like when you want to apply a non-installable errata: a content view version is added (version X.1, X.2, ...)

with only packages that fix the errata inside and the host is update to this content view version.

History

#1 - 02/14/2024 07:53 PM - Jeremy Lenz

I see what you are saying - use an incremental update to make the tracer package available to the host.

In the web UI, you can already do this for Errata, but not for packages.

In hammer, you can also do incremental updates for packages.

At some point we will be redesigning the incremental update web UI to use more modern Patternfly standards. Once that's done I think this would be

a nice addition to it.

#2 - 02/14/2024 09:58 PM - Et7f3 please_edit_me

- Priority changed from Normal to Low

When I re read the initial PR the fours points could be done for us if using Red Hat Satellite. It can because rhel use the same name pattern for rhel

7,8,9 so it could directly enable the right repository for the rhel version selected.

I don't know if the non branded version come pre configured with katello client repos easy to enable. In that case content view incremental upgrade is

still a nice amelioration.

#3 - 02/21/2024 06:58 PM - Samir Jha

- Triaged changed from No to Yes
